#include <iostream>
#include <vector>
#include <unordered_set>
#include <set>
#define endl '\n'

using namespace std;

long long dist[100005];
int br[(1<<14)+5];
int n;

int main() {
    cin >> n;
    n--;
    for(int i = 1; i <= n; i++) {
        int a,b; long long w; cin >> a >> b >> w;
        dist[i]=dist[i-1]^w;
    }

    for(int i = 1; i <= n; i++) br[dist[i]]++;
    br[0]++;

    for(int xr = (1<<13); xr >= 0; xr--) {
        for(int i = 1; i <= n; i++) {
            if(br[dist[i]^xr]) {
                cout << xr;
                return 0;
            }
        }
    }
}